rust-broot (1.55.0-1) unstable; urgency=medium

  * Package broot 1.55.0 from crates.io using debcargo 2.7.11
  * Relax dependencies on image, lazy-regex and trash
  * d/patches: refresh

 -- NoisyCoil <noisycoil@debian.org>  Mon, 09 Feb 2026 19:49:44 +0100

rust-broot (1.54.0-4) unstable; urgency=medium

  * Package broot 1.54.0 from crates.io using debcargo 2.7.11
  * Bump the resvg dependency to v0.46 (Closes: #1125501)

 -- NoisyCoil <noisycoil@debian.org>  Thu, 15 Jan 2026 02:01:17 +0100

rust-broot (1.54.0-3) unstable; urgency=medium

  * Team upload.
  * Package broot 1.54.0 from crates.io using debcargo 2.7.11
  * relax dependency on directories

 -- Peter Michael Green <plugwash@debian.org>  Fri, 26 Dec 2025 12:36:24 +0000

rust-broot (1.54.0-2) unstable; urgency=medium

  * Package broot 1.54.0 from crates.io using debcargo 2.7.11
  * Bump lfs-core dependency to v0.19

 -- NoisyCoil <noisycoil@debian.org>  Wed, 24 Dec 2025 10:33:44 +0100

rust-broot (1.54.0-1) unstable; urgency=medium

  * Package broot 1.54.0 from crates.io using debcargo 2.7.11
  * Bump lfs-core to v0.18 and termimad to v0.34
  * d/patches: refresh

 -- NoisyCoil <noisycoil@debian.org>  Wed, 03 Dec 2025 22:19:21 +0100

rust-broot (1.53.0-2) unstable; urgency=medium

  * Team upload.
  * Package broot 1.53.0 from crates.io using debcargo 2.7.11
  * Stop downgrading rustc-hash to 1.x

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 23 Nov 2025 17:54:38 +0100

rust-broot (1.53.0-1) unstable; urgency=medium

  * Package broot 1.53.0 from crates.io using debcargo 2.7.11
  * Update lfs-core dependency to v0.17
  * d/patches: refresh

 -- NoisyCoil <noisycoil@debian.org>  Mon, 10 Nov 2025 01:30:41 +0100

rust-broot (1.52.0-1) unstable; urgency=medium

  * Package broot 1.52.0 from crates.io using debcargo 2.7.11
  * d/patches:
    - downgrade crokey dependency to v1.2
    - refresh

 -- NoisyCoil <noisycoil@debian.org>  Sat, 01 Nov 2025 13:45:31 +0100

rust-broot (1.51.0-2) unstable; urgency=medium

  * Package broot 1.51.0 from crates.io using debcargo 2.7.11
  * Bump lfs-core dependency to v0.16
  * d/patches:
    - rename remove-windows-dependencies.patch as
      remove-non-linux-deps.patch and patch out macos
      dependencies

 -- NoisyCoil <noisycoil@debian.org>  Wed, 29 Oct 2025 23:16:15 +0100

rust-broot (1.51.0-1) unstable; urgency=medium

  * Package broot 1.51.0 from crates.io using debcargo 2.7.10
  * Exclude target.sh from the source and rust library package
  * d/patches:
    - add no-zune-image.patch: zune-image is not packaged in Debian,
      revert the commit that introduced the dependency
    - refresh

 -- NoisyCoil <noisycoil@debian.org>  Tue, 14 Oct 2025 19:57:49 +0200

rust-broot (1.50.0-1) unstable; urgency=medium

  * Package broot 1.50.0 from crates.io using debcargo 2.7.10
  * d/patches:
    - add-features.patch: do not add 'trash' to default features,
      the 'trash' feature was integrated to main code
    - drop relax-trash.patch: stop downgrading the trash dependency
    - refresh

 -- NoisyCoil <noisycoil@debian.org>  Fri, 26 Sep 2025 01:32:07 +0200

rust-broot (1.49.1-2) unstable; urgency=medium

  * Package broot 1.49.1 from crates.io using debcargo 2.7.10
  * Upload to unstable

 -- NoisyCoil <noisycoil@debian.org>  Wed, 24 Sep 2025 19:56:10 +0200

rust-broot (1.49.1-1) experimental; urgency=medium

  * Package broot 1.49.1 from crates.io using debcargo 2.7.10
  * d/patches: refresh

 -- NoisyCoil <noisycoil@debian.org>  Tue, 16 Sep 2025 22:01:41 +0200

rust-broot (1.48.0-1) unstable; urgency=medium

  * Package broot 1.48.0 from crates.io using debcargo 2.7.10
  * Change my email address to @debian.org
  * d/patches:
    - downgrade lru to v0.12, opener to v0.6, phf to v0.11, termimad
      to v0.33, toml to v0.8
    - stop patching base64, resvg, strict and lfs-core
    - refresh

 -- NoisyCoil <noisycoil@debian.org>  Sat, 06 Sep 2025 01:48:25 +0200

rust-broot (1.47.0-3) unstable; urgency=medium

  * Package broot 1.47.0 from crates.io using debcargo 2.7.10
  * d/patches:
    - stop patching clap-help, rayon, termimad and terminal-light
    - bump lfs-core to v0.13

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 22 Aug 2025 11:59:50 +0200

rust-broot (1.47.0-2) unstable; urgency=medium

  * Package broot 1.47.0 from crates.io using debcargo 2.7.8
  * Upload to unstable

  [ Matthias Geiger ]
  * Team upload.
  * Package broot 1.47.0 from crates.io using debcargo 2.7.8
  * d/patches: Build with which 8.0

 -- NoisyCoil <noisycoil@tutanota.com>  Tue, 19 Aug 2025 11:26:55 +0200

rust-broot (1.47.0-1) experimental; urgency=medium

  * Package broot 1.47.0 from crates.io using debcargo 2.7.8
  * d/patches:
    - downgrade termimad to v0.31, terminal-light to v1.7 
    - refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Tue, 01 Jul 2025 14:45:07 +0200

rust-broot (1.46.3-2) unstable; urgency=medium

  * Package broot 1.46.3 from crates.io using debcargo 2.7.8
  * Unset M-A: allowed for broot

 -- NoisyCoil <noisycoil@tutanota.com>  Wed, 14 May 2025 22:42:28 +0200

rust-broot (1.46.3-1) unstable; urgency=medium

  * Package broot 1.46.3 from crates.io using debcargo 2.7.8

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 02 May 2025 11:08:07 +0200

rust-broot (1.46.2-1) unstable; urgency=medium

  * Package broot 1.46.2 from crates.io using debcargo 2.7.8

 -- NoisyCoil <noisycoil@tutanota.com>  Mon, 21 Apr 2025 22:13:43 +0200

rust-broot (1.46.1-1) unstable; urgency=medium

  * Package broot 1.46.1 from crates.io using debcargo 2.7.8

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 20 Apr 2025 20:36:22 +0200

rust-broot (1.46.0-1) unstable; urgency=medium

  * Package broot 1.46.0 from crates.io using debcargo 2.7.8

 -- NoisyCoil <noisycoil@tutanota.com>  Thu, 17 Apr 2025 01:00:13 +0200

rust-broot (1.45.1-3) unstable; urgency=medium

  * Package broot 1.45.1 from crates.io using debcargo 2.7.8
  * Minor improvements to the package description
  * d/copyright: set Upstream-Contact to the upstream bug tracker

 -- NoisyCoil <noisycoil@tutanota.com>  Mon, 31 Mar 2025 03:07:57 +0200

rust-broot (1.45.1-2) unstable; urgency=medium

  * Package broot 1.45.1 from crates.io using debcargo 2.7.8
  * Bump resvg dependency to v0.45 (Closes: #1101684)
  * d/patches: refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 30 Mar 2025 13:20:45 +0200

rust-broot (1.45.1-1) unstable; urgency=medium

  * Package broot 1.45.1 from crates.io using debcargo 2.7.8
  * Do not exclude benchmarks from sources
  * d/patches:
    - restructure disable-benches.patch
    - refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Tue, 25 Mar 2025 16:28:42 +0100

rust-broot (1.45.0-2) unstable; urgency=medium

  * Package broot 1.45.0 from crates.io using debcargo 2.7.8
  * No-change reupload to build against rust-yaml2

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 22 Mar 2025 16:36:12 +0100

rust-broot (1.45.0-1) unstable; urgency=medium

  * Package broot 1.45.0 from crates.io using debcargo 2.7.8
  * d/patches: refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Wed, 19 Mar 2025 11:56:29 +0100

rust-broot (1.44.7-4) unstable; urgency=medium

  * Team upload.
  * Package broot 1.44.7 from crates.io using debcargo 2.7.8
  * relax git2 to allow libgit2 1.8 and 1.9

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 17 Mar 2025 06:59:13 +0100

rust-broot (1.44.7-3) unstable; urgency=medium

  * Package broot 1.44.7 from crates.io using debcargo 2.7.7
  * d/broot.shell-completions: fix fish and zsh shell completions paths
    (Closes: #1099853)

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 08 Mar 2025 22:18:28 +0100

rust-broot (1.44.7-2) unstable; urgency=medium

  * Package broot 1.44.7 from crates.io using debcargo 2.7.7
  * d/rules: use ThinLTO on 32-bit architectures to avoid running out
    of address space

 -- NoisyCoil <noisycoil@tutanota.com>  Thu, 20 Feb 2025 18:33:38 +0100

rust-broot (1.44.7-1) unstable; urgency=medium

  * Package broot 1.44.7 from crates.io using debcargo 2.7.7
  * Re-enable image previewing functionality (Closes: #1091744)
    - change long description and TODO to reflect this change
    - many thanks to Jonas Smedegaard for resvg
  * d/patches:
    - add downgrade-rustc-hash.patch (completes the downgrade of
      rustc-hash to v1)
    - remove upgrade-resvg.patch (upstreamed)
    - remove image-feature-disable-resvg.patch (see above)
    - refresh
  * d/broot.lintian-overrides: override Static-Built-Using lint instead
    of X-Cargo-Built-Using

 -- NoisyCoil <noisycoil@tutanota.com>  Wed, 19 Feb 2025 22:38:44 +0100

rust-broot (1.44.6-2) unstable; urgency=medium

  * Package broot 1.44.6 from crates.io using debcargo 2.7.6
  * Use dh-shell-completions to install shell completions

 -- NoisyCoil <noisycoil@tutanota.com>  Wed, 29 Jan 2025 00:21:24 +0100

rust-broot (1.44.6-1) unstable; urgency=medium

  * Package broot 1.44.6 from crates.io using debcargo 2.7.6
  * Downgrade git2 dependency to v0.19
  * Do not depend on clap_mangen: the manpage is generated upstream
  * d/patches: refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Tue, 28 Jan 2025 01:05:16 +0100

rust-broot (1.44.5-1) unstable; urgency=medium

  * Package broot 1.44.5 from crates.io using debcargo 2.7.5
  * d/copyright: update copyright years
  * d/patches: refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Wed, 08 Jan 2025 20:29:39 +0100

rust-broot (1.44.3-1) unstable; urgency=medium

  * Package broot 1.44.3 from crates.io using debcargo 2.7.5
  * d/patches: refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 28 Dec 2024 14:54:11 -0500

rust-broot (1.44.2-6) unstable; urgency=medium

  * Package broot 1.44.2 from crates.io using debcargo 2.7.5
  * Bump lfs-core to v0.12, termimad to v0.31 and xterm-query to v0.5

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 22 Dec 2024 18:16:35 +0100

rust-broot (1.44.2-5) unstable; urgency=medium

  * Package broot 1.44.2 from crates.io using debcargo 2.7.5
  * Fix fish shell completion file path, thanks to David Adam

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 20 Dec 2024 07:47:26 +0100

rust-broot (1.44.2-4) unstable; urgency=medium

  * Package broot 1.44.2 from crates.io using debcargo 2.7.5
  * Bump lazy-regex dependency to v3

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 06 Dec 2024 00:29:39 +0100

rust-broot (1.44.2-3) unstable; urgency=medium

  * Package broot 1.44.2 from crates.io using debcargo 2.7.4
  * Set the manpage's year from d/changelog's entry to make the build
    reproducible. Thanks to Chris Lamb (Closes: #1088238)

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 29 Nov 2024 19:52:14 +0100

rust-broot (1.44.2-2) unstable; urgency=medium

  * Package broot 1.44.2 from crates.io using debcargo 2.7.4
  * Bump image dependency to v0.25 and trash dependency to v5
  * d/patches:
    - simplify relax-deps.diff
    - refresh other patches

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 23 Nov 2024 14:21:42 +0100

rust-broot (1.44.2-1) unstable; urgency=medium

  * Package broot 1.44.2 from crates.io using debcargo 2.7.1 (Closes: #948483)

  [ Sylvestre Ledru ]
  * Team upload.
  * Package broot 1.0.5 from crates.io using debcargo 2.4.3

  [ Emmanuel Arias ]
  * Package broot 0.13.1 from crates.io using debcargo 2.4.3-alpha.0

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 26 Oct 2024 21:12:53 +0200
